Package: org.gradle.plugins.ide.eclipse.model

## [Java] Class Facet

- org.gradle.plugins.ide.eclipse.model.Facet

- A project facet.

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `enum` | `Facet.FacetType` | An `installed` facet is really present on an Eclipse project whereas facet type `fixed` means that this facet is locked and cannot be simply removed.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Facet ()`
    `Facet (groovy.util.Node node)`
    `Facet (String name, String version)`
    `Facet (Facet.FacetType type, String name, String version)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `appendNode(groovy.util.Node node)`
    `boolean` | `equals(Object o)`
    `String` | `getName()`
    `Facet.FacetType` | `getType()`
    `String` | `getVersion()`
    `int` | `hashCode()`
    `void` | `setName(String name)`
    `void` | `setType(Facet.FacetType type)`
    `void` | `setVersion(String version)`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public Facet()

    - #### public Facet(groovy.util.Node node)

    - #### public Facet(String name, String version)

    - #### public Facet(Facet.FacetType type, String name, String version)

  - ### Method Detail

    - #### public void appendNode(groovy.util.Node node)

    - #### @Override public boolean equals(Object o)

    - #### public String getName()

    - #### public Facet.FacetType getType()

    - #### public String getVersion()

    - #### @Override public int hashCode()

    - #### public void setName(String name)

    - #### public void setType(Facet.FacetType type)

    - #### public void setVersion(String version)

    - #### @Override public String toString()